#
# spec file for package python-docker-pycreds
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-docker-pycreds
Version:        0.2.1
Release:        3.1
License:        Apache-2.0
Summary:        Python bindings for the docker credentials store API
Url:            https://github.com/shin-/dockerpy-creds
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/95/2e/3c99b8707a397153bc78870eb140c580628d7897276960da25d8a83c4719/docker-pycreds-%{version}.tar.gz
Patch0:         fix-requirements.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pytest
BuildRequires:  python-pytest-cov
BuildRequires:  python-flake8
BuildRequires:  python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Python bindings for the docker credentials store API

%prep
%setup -q -n docker-pycreds-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{python_sitelib}/*

%changelog
* Fri Nov  4 2016 jmassaguerpla@suse.com
- relax test-requirements so that it builds on Factory
* Thu Nov  3 2016 jmassaguerpla@suse.com
- Add the description
- Remove the SLE11 case
* Wed Oct 26 2016 jmassaguerpla@suse.com
- initial import
